#! /usr/bin/env python

from distutils.core import setup, Extension

setup (# Distribution meta-data
        name = "python-id3tag",
        version = "0.1",
        description = "Python Interface to libid3tag",
        url = "http://www-lce.eng.cam.ac.uk/~acnt2/code/python-id3tag/",
	download_url="http://www-lce.eng.cam.ac.uk/~acnt2/code/python-id3tag/python-id3tag-0.1.tar.bz2",
        author = "Alastair Tse",	
	author_email = "acnt2@cam.ac.uk",
	license = "GPL",
	py_modules = ["id3tag"],
        ext_modules = [ Extension(
                            "_libid3tag",
                            ["id3tag_wrap.c"], #define_macros=[("SWIG_COBJECT_TYPES",None)],
                            include_dirs=["/usr/include"],
			    libraries=["id3tag", "z"],
			    extra_compile_args=["-g"]
                        ) 
                      ]
      )

